<div class="edit-form">

  <form [formGroup]="formMerge" (ngSubmit)="submit()">

    <div class="row">
      <div class="col-md-3">
        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Name</mat-label>
          <input matInput placeholder="Name" formControlName="name">
        </mat-form-field>
        <error-form [control]="'name'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>

      <div class="col-md-3">

        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Registration</mat-label>
          <input matInput placeholder="Registration" formControlName="registration">
        </mat-form-field>
        <error-form [control]="'registration'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>
    </div>

    <div class="row">
      <div class="col-md-3">

        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Brand</mat-label>
          <mat-select formControlName="company" (selectionChange)="companySelectionChange()">
            <mat-option *ngFor="let company of companies" [value]="company">{{company}}</mat-option>
          </mat-select>
        </mat-form-field>

        <error-form [control]="'company'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>

      <div class="col-md-3">
        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Color</mat-label>
          <input matInput placeholder="Color" formControlName="color">
        </mat-form-field>
        <error-form [control]="'color'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>
    </div>

    <div class="row">
      <div class="col-md-3">
        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Generation</mat-label>
          <mat-select formControlName="generation">
            <mat-option *ngFor="let generation of generations" [value]="generation">{{generation}}</mat-option>
          </mat-select>
        </mat-form-field>

        <error-form [control]="'generation'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>

      <div class="col-md-3">
        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Horsepower</mat-label>
          <input matInput placeholder="Horsepower" formControlName="horsepower">
        </mat-form-field>
        <error-form [control]="'horsepower'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>
    </div>

    <div class="row">
      <div class="col-md-3">
        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Model</mat-label>
          <mat-select formControlName="model" (selectionChange)="modelSelectionChange()">
            <mat-option *ngFor="let model of models" [value]="model">{{model}}</mat-option>
          </mat-select>
        </mat-form-field>
        <error-form [control]="'model'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>

      <div class="col-md-3">
        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Engine</mat-label>
          <input matInput placeholder="Engine" formControlName="engine">
        </mat-form-field>
        <error-form [control]="'engine'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>
    </div>

    <div class="row">
      <div class="col-md-3">
        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Year</mat-label>
          <input matInput placeholder="Year" formControlName="year">
        </mat-form-field>
        <error-form [control]="'year'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>

      <div class="col-md-3">
        <mat-form-field appearance="legacy" class="pl-1 full-width">
          <mat-label>Torque</mat-label>
          <input matInput placeholder="Torque" formControlName="torque">
        </mat-form-field>
        <error-form [control]="'torque'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </div>
    </div>

    <div class="row">
      <div class="col-md-3">
        <button class="mat-flat-button save-button" mat-flat-button type="submit" color="primary">Save</button>
      </div>
      <ng-container *ngIf="isCarEdit">
        <div class="col-md-3">
          <button class="mat-flat-button cancel-button " mat-flat-button type="reset" color="warn"
                  (click)="closeEditing()">
            Cancel
          </button>
        </div>
      </ng-container>
    </div>


  </form>
</div>
